Difference between revisions of "Arch Rebar BentShape/fr"

From FreeCAD Documentation
Jump to: navigation, search
Line 62: Line 62:
 
}}
 
}}
  
Modification des propriétés des barres d'armature cintrée.
+
Modification des propriétés de l'armature cintrée.
 
{{Code|code=
 
{{Code|code=
 
import BentShapeRebar
 
import BentShapeRebar

Revision as of 20:28, 15 April 2018

Arch Rebar BentShape.png Arch Rebar BentShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Armature en étrier
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager


Description

L'outil Arch Rebar BentShape.png Armature cintrée permet à l'utilisateur de créer une armature cintrée dans l'élément structurel.

BentShapeRebar.png

Comment faire

  1. Créer un élément structure
  2. Sélectionnez une face de la structure
  3. Puis sélectionnez Arch Rebar BentShape.png Armature cintrée à partir des outils d'armature
  4. Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous BentShapeDialog.png
  5. Sélectionnez l'orientation souhaitée
  6. Donner les entrées comme le capot avant, le capot latéral gauche, le capot latéral droit, le capot inférieur, le capot supérieur, la longueur d'ancrage, l'angle de cintrage, l'arrondi et le diamètre des barres d'armature
  7. Sélectionnez le mode de distribution, soit la quantité ou l'espacement
  8. Si l'espacement est sélectionné, un utilisateur peut également choisir espacement personnalisé
  9. Le choix de la face sélectionnée est utilisé pour vérifier ou changer la face pour la distribution des barres d'armature
  10. Cliquez sur OK ou Appliquer pour générer l'armature
  11. Cliquez sur Annuler pour quitter le panneau des tâches

Propriétés

  • DONNÉESOrientation: Il définit l'orientation de l'armature (comme fond, haut, droite et gauche).
  • DONNÉESFront Cover: La distance entre l'armature et la face sélectionnée.
  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DONNÉESBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DONNÉESTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DONNÉESAnchor Length: Il s'agit de la longueur de la forme courbée de l'armature .
  • DONNÉESBent Angle: Il définit l'angle de cintrage de l'armature.
  • DONNÉESAmount: La quantité de barres d'armature.
  • DONNÉESSpacing: La distance entre les axes de chaque barre.

Script

L'outil Arch Rebar BentShape.png Armature cintrée peut être utilisé dans macros et depuis la console python en utilisant la fonction suivante:

makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • L'armature cintrée a quatre orientations différentes:
    • Bottom (fond)
    • Top (haut)
    • Right (droite)
    • Left (gauche)
  • Ajoute un objet armature cintrée à l'objet structurel donné.
  • Si aucun nom de Structure et Facename n'est donné, il prendra en entrée la face sélectionnée par l'utilisateur.
  • Ici, l'argument CoverAlong a un type tuple.
  • Renvoie le nouvel objet Armature.

Exemple: Créer une armature cintrée.

import Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")

Modification des propriétés de l'armature cintrée.

import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")


Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский